package com.nisum.myteam.service;

import com.nisum.myteam.model.dao.EmployeeSubStatus;

public interface ISubStatusService {
    public EmployeeSubStatus getLatestEmployeeSubStatus(String empId);

    public EmployeeSubStatus updateExistingEmplyeeSubStatus(String loginnEmployeeId,EmployeeSubStatus employeeSubStatusReq);

    public EmployeeSubStatus addEmployeeSubStatus(String loginnEmployeeId,EmployeeSubStatus employeeSubStatus);

    public EmployeeSubStatus getCurrentSubStatus(String employeeId);

    public EmployeeSubStatus endSubStatus(String loginnEmployeeId,EmployeeSubStatus subStatus);
}
